<%@ Control Language="C#" AutoEventWireup="true" CodeFile="USPSShipmentRates.ascx.cs" Inherits="Controls_USPSShipmentRates" %>
        <div align="left">
            <table align="center" id="ShipRates">
                <tr>
                    <td colspan="6" align="center">
                        <h2>
                            USPS Domestic Shipping Rates</h2>
                    </td>
                </tr>
                <tr>
                    <td colspan="6">
                        <asp:Label ID="lblErrMsg" runat="server" Font-Bold="True" ForeColor="Red"></asp:Label>
                        <asp:ValidationSummary ID="ValidationSummary1" runat="server" HeaderText="Please provide all required information" />
                    </td>
                </tr>
                <tr>
                    <td>
                        From city zip code:
                    </td>
                    <td>
                        <asp:TextBox ID="txtOriginZipCode" runat="server" MaxLength="5"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtOriginZipCode"
                            Display="None" ErrorMessage="From City Zip Code"></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td>
                        To city zip code:
                    </td>
                    <td>
                        <asp:TextBox ID="txtDestinationZipCode" runat="server" MaxLength="5"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtDestinationZipCode"
                            Display="None" ErrorMessage="Destination City Zip"></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td>
                        Container Type:</td>
                    <td>
                        <asp:DropDownList ID="drpdContainerType" runat="server" AutoPostBack="True" Width="200px">
                            <asp:ListItem Selected="True" Value="-1">Select Container Type</asp:ListItem>
                            <asp:ListItem Value="Flat Rate Envelope">Flat Rate Envelope</asp:ListItem>
                            <asp:ListItem Value="Flat Rate Box">Flat Rate Box</asp:ListItem>
                        </asp:DropDownList></td>
                </tr>
                <tr>
                    <td>
                        Package size:
                    </td>
                    <td>
                        <asp:DropDownList ID="drpdPackageSize" runat="server" AutoPostBack="True" Width="200px">
                            <asp:ListItem Value="-1">Select Package Size</asp:ListItem>
                            <asp:ListItem Value="REGULAR">Regular</asp:ListItem>
                            <asp:ListItem Value="LARGE">Large</asp:ListItem>
                            <asp:ListItem Value="OVERSIZED">Oversized</asp:ListItem>
                        </asp:DropDownList></td>
                </tr>
                <tr>
                    <td>
                        Desired Service:
                    </td>
                    <td>
                        <asp:DropDownList ID="drpdSerivce" runat="server" AutoPostBack="True" Width="200px">
                            <asp:ListItem Value="-1">Select Shipping Service</asp:ListItem>
                            <asp:ListItem Value="EXPRESS">Express</asp:ListItem>
                            <asp:ListItem Value="FIRST CLASS">First Class</asp:ListItem>
                            <asp:ListItem Value="PRIORITY">Priority</asp:ListItem>
                            <asp:ListItem Value="PARCEL POST">Parcel Post</asp:ListItem>
                            <asp:ListItem Value="BOUND PRINTED MATTER">Bound Printed Matter</asp:ListItem>
                            <asp:ListItem Value="MEDIA MAIL">Media Mail</asp:ListItem>
                            <asp:ListItem Value="LIBRARY MAIL">Library Mail</asp:ListItem>
                            <asp:ListItem Value="All">All</asp:ListItem>
                        </asp:DropDownList></td>
                </tr>
                <tr>
                    <td>
                        Machinable</td>
                    <td>
                        <asp:CheckBox ID="chkbxMachinable" runat="server" Checked="True" AutoPostBack="True" /></td>
                </tr>
                <tr>
                    <td>
                        Package weight (lbs):
                    </td>
                    <td>
                        Pounds:<asp:TextBox ID="txtWeightPounds" runat="server" MaxLength="3" Width="70px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="txtWeightPounds"
                            Display="None" ErrorMessage="Pounds"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txtWeightPounds"
                            Display="None" ErrorMessage="Pounds must be a number" SetFocusOnError="True"
                            ValidationExpression="\d*"></asp:RegularExpressionValidator>Ounces:
                        <asp:TextBox ID="txtWeightOunces" runat="server" MaxLength="3" Width="70px"></asp:TextBox>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" Display="None"
                            ErrorMessage="Ounces must be a number" SetFocusOnError="True" ValidationExpression="\d*" ControlToValidate="txtWeightOunces"></asp:RegularExpressionValidator>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtWeightOunces"
                            Display="None" ErrorMessage="Ounces"></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td style="height: 21px">
                    </td>
                    <td style="height: 21px">
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="btnSubmitRequest" runat="server" OnClick="btnSubmitRequest_Click"
                            Text="Get Rates" /></td>
                </tr>
                <tr>
                    <td colspan="6">
                        <asp:Panel ID="pnlServices" Visible="false" runat="server">
                            <hr />
                            <strong>Available Services:&nbsp;</strong><asp:DropDownList ID="drpdRates" runat="server">
                            </asp:DropDownList>
                            <hr />
                        </asp:Panel>
                    </td>
                </tr>
                <tr>
                    <td colspan="6" style="text-align: center">
                        <img src="images/uspslogo.jpg" alt="USPS Logo" /></td>
                </tr>
            </table>
        </div>